/* $Id: traps.c,v 1.12 1998/07/29 14:50:09 bjornw Exp $
 *
 *  linux/arch/etrax100/traps.c
 *
 *  Copyright (C) 1998 Axis Communications AB
 *
 *  Etrax100 does not have any hardware traps, only IRQ's, which we setup in irq.c instead.
 * 
 */

#include <linux/config.h>
#include <linux/head.h>
#include <linux/sched.h>
#include <linux/kernel.h>
#include <linux/string.h>
#include <linux/errno.h>
#include <linux/ptrace.h>
#include <linux/config.h>
#include <linux/timer.h>
#include <linux/mm.h>

#include <asm/system.h>
#include <asm/segment.h>
#include <asm/io.h>
#include <asm/pgtable.h>

asmlinkage int system_call(void);
asmlinkage void lcall7(void);
struct desc_struct default_ldt = { 0, 0 };

void die_if_kernel(const char * str, struct pt_regs * regs, long err)
{
  /* How do we do this??
  if (!(regs->sr & PS_S))
  return; */
  
  printk("Process %s (pid: %d, stackpage=%08lx)\n",
	 current->comm, current->pid, current->kernel_stack_page);
  
  do_exit(SIGSEGV);
}

struct {
	unsigned short limit;
	unsigned long addr __attribute__((packed));
} idt_descriptor;


void trap_init(void)
{
  

}
